package com.docus.server.archivefile.controller;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.auth.TaskConfigTestApi;
import com.docus.server.archivefile.service.ITaskConfigTestService;
import com.docus.server.entity.auth.TaskConfigTest;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 主动任务测试对象 TaskConfigTestController 控制器类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-05
 */
@Api(value = "主动任务测试对象任务管理接口", tags = "主动任务测试对象任务管理接口")
@RestController
public class TaskConfigTestController implements TaskConfigTestApi {
    @Resource
    private ITaskConfigTestService iTaskConfigTestService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @Override
    public TaskConfigTest findById(String id) {
        return iTaskConfigTestService.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜素")
    @Override
    public PageResult<TaskConfigTest> search(SearchRequest searchRequest) {
        return iTaskConfigTestService.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskConfigTest 编辑参数
     * @return 成功或失败
     */
    @ApiOperation("新增")
    @Override
    public boolean add(TaskConfigTest taskConfigTest) {
        return iTaskConfigTestService.add(taskConfigTest);
    }

    /**
     * 编辑
     *
     * @param taskConfigTest 编辑参数
     * @return 成功或失败
     */
    @ApiOperation("编辑")
    @Override
    public boolean edit(TaskConfigTest taskConfigTest) {
        return iTaskConfigTestService.edit(taskConfigTest);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @Override
    public int delete(List<String> ids) {
        return iTaskConfigTestService.delete(ids);
    }
}
