package com.docus.server.api;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author linruifeng
 * @date 2023/6/14 9:26
 */
public interface IHospitalApi {
    /**
     * 分页查询
     *
     * @param startDate
     * @param endDate
     * @param pageNum
     * @param pageSize
     * @return
     */
    List<Map<String, Object>> page(Date startDate, Date endDate, int pageNum, int pageSize);

    /**
     * 记账号查询
     *
     * @param jzhs
     * @return
     */
    List<Map<String, Object>> BatchForJZH(List<String> jzhs);

    /**
     * 记账号+住院次数
     *
     * @param datas
     * @return
     */
    List<Map<String, Object>> BatchForJZHAndAdmissTimes(List<Map<String, Object>> datas);

    /**
     * 住院号+住院次数
     *
     * @param datas
     * @return
     */
    List<Map<String, Object>> BatchForZYHAndAdmissTimes(List<Map<String, Object>> datas);

    /**
     * 出院日期
     *
     * @param list
     * @return
     */
    List<Map<String, Object>> BatchForEXAMTIME(List<Map<String, Object>> list);
}
