package com.docus.server.api.auth;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.auth.TaskConfigTest;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.List;


/**
 * <p>
 * 主动任务测试对象 API
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-05
 */

@FeignClient(value = "common-docus/docus-archivefile", contextId = "common-docus/docus-archivefile.TaskConfigTestApi")
@RequestMapping("/taskConfigTest")
public interface TaskConfigTestApi {

    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */

    @GetMapping("/find/{id}")
    TaskConfigTest findById(@PathVariable(value = "id") String id);

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */

    @PostMapping("/search")
    PageResult<TaskConfigTest> search(@RequestBody SearchRequest searchRequest);

    /**
     * 新增
     *
     * @param taskConfigTest 新增参数
     * @return 成功或失败
     */

    @PostMapping("/add")
    boolean add(@RequestBody TaskConfigTest taskConfigTest);

    /**
     * 编辑
     *
     * @param taskConfigTest 编辑参数
     * @return 成功或失败
     */

    @PutMapping("/edit")
    boolean edit(@RequestBody TaskConfigTest taskConfigTest);

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */

    @DeleteMapping("/delete")
    int delete(@RequestBody List<String> ids);
}
