package com.docus.server.entity.segmentation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 患者信息表
 *
 * @author AutoGenerator
 * @since 2023-08-25
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName("ocr_basic")
@ApiModel(value = "OcrBasic对象", description = "患者信息表")
public class OcrBasic implements Serializable {

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "病案主键")
    @TableField("patient_id")
    private String patientId;

    @ApiModelProperty(value = "病案号")
    @TableField("inpatient_no")
    private String inpatientNo;

    @ApiModelProperty(value = "患者姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "分段完成时间")
    @TableField("ocr_finish_time")
    private LocalDateTime ocrFinishTime;

    @ApiModelProperty(value = "住院日期")
    @TableField("admiss_date")
    private LocalDateTime admissDate;

    @ApiModelProperty(value = "住院科室")
    @TableField("admiss_dept")
    private String admissDept;

    @ApiModelProperty(value = "住院科室名称")
    @TableField("admiss_dept_name")
    private String admissDeptName;

    @ApiModelProperty(value = "出院日期")
    @TableField("dis_date")
    private LocalDateTime disDate;

    @ApiModelProperty(value = "出院科室")
    @TableField("dis_dept")
    private String disDept;

    @ApiModelProperty(value = "出院科室名称")
    @TableField("dis_dept_name")
    private String disDeptName;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "是否测试数据(0否 1是)")
    @TableField("is_test")
    private Boolean isTest;


}
