package com.docus.server.entity.segmentation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * ocr文件信息
 *
 * @author AutoGenerator
 * @since 2023-08-25
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName("ocr_file_info")
@ApiModel(value = "OcrFileInfo对象", description = "ocr文件信息")
public class OcrFileInfo implements Serializable {

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "病案id")
    @TableField("patient_id")
    private String patientId;

    @ApiModelProperty(value = "")
    @TableField("file_title")
    private String fileTitle;

    @ApiModelProperty(value = "图片名称")
    @TableField("pic_name")
    private String picName;

    @ApiModelProperty(value = "")
    @TableField("file_type")
    private Integer fileType;

    @ApiModelProperty(value = "")
    @TableField("sort")
    private Integer sort;

    @ApiModelProperty(value = "")
    @TableField("serial_number")
    private String serialNumber;

    @ApiModelProperty(value = "图片地址")
    @TableField("pic_url")
    private String picUrl;

    @ApiModelProperty(value = "图片分割后地址")
    @TableField("pic_cut_url")
    private String picCutUrl;

    @ApiModelProperty(value = "图片旋转角度(整数 90 180 360)")
    @TableField("angle")
    private Integer angle;

    @ApiModelProperty(value = "识别文本结果")
    @TableField("ocr_text")
    private String ocrText;

    @ApiModelProperty(value = "分段完成时间")
    @TableField("finsh_time")
    private LocalDateTime finshTime;

    @ApiModelProperty(value = "分段状态 0正在分段 1完成分段")
    @TableField("ocr_status")
    private Boolean ocrStatus;

    @ApiModelProperty(value = "分段id")
    @TableField("assort_id")
    private Integer assortId;

    @ApiModelProperty(value = "分段名称")
    @TableField("assort_name")
    private String assortName;

    @ApiModelProperty(value = "命中策略id")
    @TableField("rule_id")
    private Integer ruleId;

    @ApiModelProperty(value = "命中关键词")
    @TableField("key")
    private String key;

    @ApiModelProperty(value = "命中占比")
    @TableField("rate")
    private Float rate;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    private LocalDateTime updateTime;


}
