package com.docus.server.entity.segmentation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 匹配策略表
 *
 * @author AutoGenerator
 * @since 2023-08-25
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName("ocr_rule")
@ApiModel(value = "OcrRule对象", description = "匹配策略表")
public class OcrRule implements Serializable {

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "分段id")
    @TableField("assort_id")
    private String assortId;

    @ApiModelProperty(value = "占比分")
    @TableField("match_ratio")
    private Integer matchRatio;

    @ApiModelProperty(value = "匹配关键词 多个#分割")
    @TableField("key_word")
    private String keyWord;

    @ApiModelProperty(value = "二级分段json")
    @TableField("json")
    private String json;

    @ApiModelProperty(value = "版本号")
    @TableField("version")
    private Integer version;

    @ApiModelProperty(value = "是否测试环境数据(0否 1是)")
    @TableField("is_test")
    private Boolean isTest;

    @ApiModelProperty(value = "是否使用二级分段")
    @TableField("is_use_second")
    private Boolean isUseSecond;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    private LocalDateTime updateTime;


}
