package com.docus.server.vo.segmentation.ocrbasic;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
*
* 患者信息表 VO
*
* @author AutoGenerator
* @since 2023-08-25
*/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value="OcrBasicVO对象", description="患者信息表")
public class OcrBasicVO implements Serializable {

    @ApiModelProperty(value = "id")
    private Integer id;

    @ApiModelProperty(value = "病案主键")
    private String patientId;

    @ApiModelProperty(value = "病案号")
    private String inpatientNo;

    @ApiModelProperty(value = "患者姓名")
    private String name;

    @ApiModelProperty(value = "分段完成时间")
    private LocalDateTime ocrFinishTime;

    @ApiModelProperty(value = "住院日期")
    private LocalDateTime admissDate;

    @ApiModelProperty(value = "住院科室")
    private String admissDept;

    @ApiModelProperty(value = "住院科室名称")
    private String admissDeptName;

    @ApiModelProperty(value = "出院日期")
    private LocalDateTime disDate;

    @ApiModelProperty(value = "出院科室")
    private String disDept;

    @ApiModelProperty(value = "出院科室名称")
    private String disDeptName;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "是否测试数据(0否 1是)")
    private Boolean isTest;


}
