package com.docus.server.vo.segmentation.ocrfileinfo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
*
* ocr文件信息 VO
*
* @author AutoGenerator
* @since 2023-08-25
*/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value="OcrFileInfoVO对象", description="ocr文件信息")
public class OcrFileInfoVO implements Serializable {

    @ApiModelProperty(value = "id")
    private Integer id;

    @ApiModelProperty(value = "病案id")
    private String patientId;

    @ApiModelProperty(value = "")
    private String fileTitle;

    @ApiModelProperty(value = "图片名称")
    private String picName;

    @ApiModelProperty(value = "")
    private Integer fileType;

    @ApiModelProperty(value = "")
    private Integer sort;

    @ApiModelProperty(value = "")
    private String serialNumber;

    @ApiModelProperty(value = "图片地址")
    private String picUrl;

    @ApiModelProperty(value = "图片分割后地址")
    private String picCutUrl;

    @ApiModelProperty(value = "图片旋转角度(整数 90 180 360)")
    private Integer angle;

    @ApiModelProperty(value = "识别文本结果")
    private String ocrText;

    @ApiModelProperty(value = "分段完成时间")
    private LocalDateTime finshTime;

    @ApiModelProperty(value = "分段状态 0正在分段 1完成分段")
    private Boolean ocrStatus;

    @ApiModelProperty(value = "分段id")
    private Integer assortId;

    @ApiModelProperty(value = "分段名称")
    private String assortName;

    @ApiModelProperty(value = "命中策略id")
    private Integer ruleId;

    @ApiModelProperty(value = "命中关键词")
    private String key;

    @ApiModelProperty(value = "命中占比")
    private Float rate;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;


}
