package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.segmentation.OcrConfigApi;
import com.docus.server.dto.segmentation.ocrconfig.AddOcrConfigDTO;
import com.docus.server.dto.segmentation.ocrconfig.DeleteOcrConfigDTO;
import com.docus.server.dto.segmentation.ocrconfig.EditOcrConfigDTO;
import com.docus.server.service.IOcrConfigService;
import com.docus.server.vo.segmentation.ocrconfig.OcrConfigVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 基础配置表 控制器类
 *
 * @author AutoGenerator
 * @since 2023-08-25
 */
@Api(value = "基础配置表任务管理接口", tags = "基础配置表任务管理接口")
@RestController
public class OcrConfigController implements OcrConfigApi {
    @Resource
    private IOcrConfigService iOcrConfigService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @Override
    public OcrConfigVO findById(Long id) {
        return iOcrConfigService.findById(id);
    }

    /**
     * 查询所有
     *
     * @return 实体
     */
    @ApiOperation("查询所有")
    @Override
    public List<OcrConfigVO> findAll() {
        return iOcrConfigService.findAll();
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @Override
    public PageResult<OcrConfigVO> search(SearchDTO searchDTO) {
        return iOcrConfigService.search(searchDTO);
    }

    /**
     * 新增
     *
     * @param addOcrConfigDTO 编辑参数
     */
    @ApiOperation("新增")
    @Override
    public void add(AddOcrConfigDTO addOcrConfigDTO) {
        iOcrConfigService.add(addOcrConfigDTO);
    }

    /**
     * 编辑
     *
     * @param editOcrConfigDTO 编辑参数
     */
    @ApiOperation("编辑")
    @Override
    public void edit(EditOcrConfigDTO editOcrConfigDTO) {
        iOcrConfigService.edit(editOcrConfigDTO);
    }

    /**
     * 批量删除
     *
     * @param deleteOcrConfigDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @Override
    public int delete(DeleteOcrConfigDTO deleteOcrConfigDTO) {
        return iOcrConfigService.delete(deleteOcrConfigDTO);
    }
}
