package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.segmentation.OcrSpRuleApi;
import com.docus.server.dto.segmentation.ocrsprule.AddOcrSpRuleDTO;
import com.docus.server.dto.segmentation.ocrsprule.DeleteOcrSpRuleDTO;
import com.docus.server.dto.segmentation.ocrsprule.EditOcrSpRuleDTO;
import com.docus.server.service.IOcrSpRuleService;
import com.docus.server.vo.segmentation.ocrsprule.OcrSpRuleVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 特殊策略表 控制器类
 *
 * @author AutoGenerator
 * @since 2023-08-21
 */
@Api(value = "特殊策略表任务管理接口", tags = "特殊策略表任务管理接口")
@RestController
public class OcrSpRuleController implements OcrSpRuleApi {
    @Resource
    private IOcrSpRuleService iOcrSpRuleService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @Override
    public OcrSpRuleVO findById(Long id) {
        return iOcrSpRuleService.findById(id);
    }

    /**
     * 查询所有
     *
     * @return 实体
     */
    @ApiOperation("查询所有")
    @Override
    public List<OcrSpRuleVO> findAll() {
        return iOcrSpRuleService.findAll();
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @Override
    public PageResult<OcrSpRuleVO> search(SearchDTO searchDTO) {
        return iOcrSpRuleService.search(searchDTO);
    }

    /**
     * 新增
     *
     * @param addOcrSpRuleDTO 编辑参数
     * @return 成功或失败
     */
    @ApiOperation("新增")
    @Override
    public boolean add(AddOcrSpRuleDTO addOcrSpRuleDTO) {
        return iOcrSpRuleService.add(addOcrSpRuleDTO);
    }

    /**
     * 编辑
     *
     * @param editOcrSpRuleDTO 编辑参数
     * @return 成功或失败
     */
    @ApiOperation("编辑")
    @Override
    public boolean edit(EditOcrSpRuleDTO editOcrSpRuleDTO) {
        return iOcrSpRuleService.edit(editOcrSpRuleDTO);
    }

    /**
     * 批量删除
     *
     * @param deleteOcrSpRuleDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @Override
    public int delete(DeleteOcrSpRuleDTO deleteOcrSpRuleDTO) {
        return iOcrSpRuleService.delete(deleteOcrSpRuleDTO);
    }
}
