package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrbasic.AddOcrBasicDTO;
import com.docus.server.dto.segmentation.ocrbasic.DeleteOcrBasicDTO;
import com.docus.server.dto.segmentation.ocrbasic.EditOcrBasicDTO;
import com.docus.server.vo.segmentation.ocrbasic.OcrBasicVO;

import java.util.List;

/**
 * 患者信息表 服务接口
 *
 * @author AutoGenerator
 * @since 2023-08-25
 */
public interface IOcrBasicService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    OcrBasicVO findById(Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    List<OcrBasicVO> findAll();

    /**
     * 新增
     *
     * @param addOcrBasicDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddOcrBasicDTO addOcrBasicDTO);

    /**
     * 编辑
     *
     * @param editOcrBasicDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditOcrBasicDTO editOcrBasicDTO);

    /**
     * 批量删除
     *
     * @param deleteOcrBasicDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteOcrBasicDTO deleteOcrBasicDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<OcrBasicVO> search(SearchDTO searchDTO);
}
