package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrconfig.AddOcrConfigDTO;
import com.docus.server.dto.segmentation.ocrconfig.DeleteOcrConfigDTO;
import com.docus.server.dto.segmentation.ocrconfig.EditOcrConfigDTO;
import com.docus.server.vo.segmentation.ocrconfig.OcrConfigVO;

import java.util.List;

/**
 * 基础配置表 服务接口
 *
 * @author AutoGenerator
 * @since 2023-08-25
 */
public interface IOcrConfigService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    OcrConfigVO findById(Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    List<OcrConfigVO> findAll();

    /**
     * 新增
     *
     * @param addOcrConfigDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddOcrConfigDTO addOcrConfigDTO);

    /**
     * 编辑
     *
     * @param editOcrConfigDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditOcrConfigDTO editOcrConfigDTO);

    /**
     * 批量删除
     *
     * @param deleteOcrConfigDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteOcrConfigDTO deleteOcrConfigDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<OcrConfigVO> search(SearchDTO searchDTO);
}
