package com.docus.server.service.impl;

import com.docus.infrastructure.redis.service.IdService;
import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.convert.OcrSpecialDetailConvert;
import com.docus.server.dto.segmentation.ocrspecialdetail.AddOcrSpecialDetailDTO;
import com.docus.server.dto.segmentation.ocrspecialdetail.DeleteOcrSpecialDetailDTO;
import com.docus.server.dto.segmentation.ocrspecialdetail.EditOcrSpecialDetailDTO;
import com.docus.server.entity.segmentation.OcrSpecialDetail;
import com.docus.server.infrastructure.dao.IOcrSpecialDetailDao;
import com.docus.server.service.IOcrSpecialDetailService;
import com.docus.server.vo.segmentation.ocrspecialdetail.OcrSpecialDetailVO;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * 特殊规则详情 服务实现类
 *
 * @author AutoGenerator
 * @since 2023-08-25
 */
@Service
public class OcrSpecialDetailServiceImpl implements IOcrSpecialDetailService {
    @Resource
    private IOcrSpecialDetailDao iOcrSpecialDetailDao;
    @Resource
    private IdService idService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public OcrSpecialDetailVO findById(Long id) {
        return OcrSpecialDetailConvert.INSTANCE.convertVO(iOcrSpecialDetailDao.findById(id));
    }

    /**
     * 查询所有
     *
     * @return 实体
     */
    @Override
    public List<OcrSpecialDetailVO> findAll() {
        return OcrSpecialDetailConvert.INSTANCE.convertVO(iOcrSpecialDetailDao.findAll());
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<OcrSpecialDetailVO> search(SearchDTO searchDTO) {
        return OcrSpecialDetailConvert.INSTANCE.convertVO(iOcrSpecialDetailDao.search(searchDTO));

        //PageResult<OcrSpecialDetailVO> result = OcrSpecialDetailConvert.INSTANCE.convertVO(iOcrSpecialDetailDao.search(searchDTO));

        //if (CollectionUtils.isEmpty(result.getList())) {
        //return new PageResult<>();
        //}

        //Map<String, SchSystemParams> map = iSchSystemParamsService.find(ListUtils.distinctSelect(result.getList(), SchCollectorVO::getCollectorId));

        //result.getList().forEach(p -> {
        // String collectorId = String.valueOf(p.getCollectorId());
        // if (map.containsKey(collectorId)) {
        //     p.setCollectorName(map.get(collectorId).getParamName());
        // }
        //});

        //return result;
    }

    /**
     * 新增
     *
     * @param addOcrSpecialDetailDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean add(AddOcrSpecialDetailDTO addOcrSpecialDetailDTO) {
        OcrSpecialDetail ocrSpecialDetail = OcrSpecialDetailConvert.INSTANCE.convertDO(addOcrSpecialDetailDTO);
        ocrSpecialDetail.setId(idService.getDateSeq());
        return iOcrSpecialDetailDao.add(ocrSpecialDetail);

        // String name = addOcrSpecialDetailDTO.getName();

        //OcrSpecialDetail ocrSpecialDetail = iOcrSpecialDetailDao.findOneBy("name", name);

        //if (Func.notNull(ocrSpecialDetail)) {
        // throw new ApiException(ExceptionCode.ParamIllegal.getCode(), "特殊规则详情已经存在");
        // }

        // OcrSpecialDetail ocrSpecialDetail =OcrSpecialDetailConvert.INSTANCE.convertDO(addOcrSpecialDetailDTO);
        // ocrSpecialDetail.setId(idService.getDateSeq());

        // return iOcrSpecialDetailDao.add(schCollector);

    }

    /**
     * 编辑
     *
     * @param editOcrSpecialDetailDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean edit(EditOcrSpecialDetailDTO editOcrSpecialDetailDTO) {
        OcrSpecialDetail ocrSpecialDetail = OcrSpecialDetailConvert.INSTANCE.convertDO(editOcrSpecialDetailDTO);
        return iOcrSpecialDetailDao.edit(ocrSpecialDetail);

        // Long id = editOcrSpecialDetailDTO.getId();

        //  OcrSpecialDetail ocrSpecialDetail = iOcrSpecialDetailDao.findById(id);

        // if (Func.isNull(ocrSpecialDetail)) {
        //     throw new ApiException(ExceptionCode.ParamIllegal.getCode(), "特殊规则详情，无法更新！");
        // }

        // ocrSpecialDetail.setUpdateTime(LocalDateTime.now());
        // return iOcrSpecialDetailDao.edit(ocrSpecialDetail);
    }

    /**
     * 批量删除
     *
     * @param deleteOcrSpecialDetailDTO 删除参数
     * @return 成功或失败
     */
    @Override
    public int delete(DeleteOcrSpecialDetailDTO deleteOcrSpecialDetailDTO) {
        return iOcrSpecialDetailDao.delete(deleteOcrSpecialDetailDTO.getIds());
    }
}

